package com.sckw.system.dao;

import com.sckw.system.model.KwsEntDept;
import com.sckw.system.model.pojo.FindEntDeptInfoPojo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 组织机构
 * @author zk
 * @date 2023-05-31
 */
@Mapper
public interface KwsEntDeptDao {

    /**
     * 新增
     * @param record
     * @return
     */
    int insert(KwsEntDept record);

    /**
     * 更新
     * @param record
     * @return
     */
    int update(KwsEntDept record);

    /**
     * 详情查询
     * @param id
     * @return
     */
    KwsEntDept selectByKey(Long id);

    /**
     * @param entId 企业id
     * @return KwsEntDept
     * @desc: 根据企业id查关联
     * @author: czh
     * @date: 2023/7/17
     */
    KwsEntDept selectByEntId(Long entId);

    /**
     * @param entPid 企业pid
     * @return KwsEntDept
     * @desc: 根据企业pid查关联
     * @author: czh
     * @date: 2023/7/17
     */
    List<KwsEntDept> selectByEntPid(Long entPid);

    /**
     * @param list 企业id
     * @return KwsEntDept
     * @desc: 查主体单位
     * @author: czh
     * @date: 2023/7/22
     */
    List<KwsEntDept> selectByEntPidList(List<Long> list);
}
